[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomCoolBar.Invalidate

Causes the control to be redrawn.

## Declaration

Source position: comctrls.pp line 2637

`public procedure TCustomCoolBar.Invalidate; override;`

## Description

Invalidate is an overridden method in TCustomCoolBar which causes the control to be redrawn using the settings in the EdgeInner, EdgeOuter, and EdgeBorders properties. CalculateAndAlign is called to size and layout the visible bands on the control. The inherited Invalidate method is called to update the widgetset class when its Handle has been allocated.

## See also

TWinControl.Invalidate |  | Schedules a repaint request.